classification
Title: Add tests for invalid use of PyArg_ParseTupleAndKeywords
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka
Priority: normal Keywords:

Created on 2017-04-27 06:38 by serhiy.storchaka, last changed 2017-05-04 04:28 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1316 merged serhiy.storchaka, 2017-04-27 06:41
PR 1441 merged serhiy.storchaka, 2017-05-03 21:20
PR 1442 merged serhiy.storchaka, 2017-05-03 21:35
Messages (4)
msg292407 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-27 06:38
Proposed patch adds tests that check that PyArg_ParseTupleAndKeywords() correctly detects errors in the format string and keywords list and raises SystemError.

It also allows the format argument in _testcapi.parse_tuple_and_keywords() be string.
msg292939 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-05-03 21:03
New changeset 5f161fd86dd5bb936a1a2a13391b13b7e59ec201 by Serhiy Storchaka in branch 'master':
bpo-30184: Add tests for invalid use of PyArg_ParseTupleAndKeywords. (#1316)
https://github.com/python/cpython/commit/5f161fd86dd5bb936a1a2a13391b13b7e59ec201
msg292956 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-05-04 03:50
New changeset 1bebd8a21948652a5f941c550dec06ea84d1d979 by Serhiy Storchaka in branch '3.6':
[3.6] bpo-30184: Add tests for invalid use of PyArg_ParseTupleAndKeywords. (GH-1316). (#1441)
https://github.com/python/cpython/commit/1bebd8a21948652a5f941c550dec06ea84d1d979
msg292957 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-05-04 03:50
New changeset 943861f09ab6bffcd1d97efcd0dd6c87c7f26800 by Serhiy Storchaka in branch '3.5':
[3.5] bpo-30184: Add tests for invalid use of PyArg_ParseTupleAndKeywords. (GH-1316). (#1442)
https://github.com/python/cpython/commit/943861f09ab6bffcd1d97efcd0dd6c87c7f26800
History
Date User Action Args
2017-05-04 04:28:03serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: - Python 2.7
2017-05-04 03:50:45serhiy.storchakasetmessages: + msg292957
2017-05-04 03:50:30serhiy.storchakasetmessages: + msg292956
2017-05-03 21:35:45serhiy.storchakasetpull_requests: + pull_request1540
2017-05-03 21:20:34serhiy.storchakasetpull_requests: + pull_request1539
2017-05-03 21:03:27serhiy.storchakasetmessages: + msg292939
2017-04-27 06:41:34serhiy.storchakasetpull_requests: + pull_request1423
2017-04-27 06:38:26serhiy.storchakacreate